Debian Debian-France Debian-Facile Debian-fr.org Debian-fr.xyz Debian ? Communautés

Debian-facile

Bienvenue sur Debian-Facile, site d'aide pour les nouveaux utilisateurs de Debian.

Vous n'êtes pas identifié(e).

#1 18-02-2018 19:26:23

taureau89_9
Adhérent(e)
Lieu : A proximité de LFLA
Distrib. : Debian Testing
Noyau : Linux 5.9.0-1-amd64
(G)UI : Xfce4 4.14
Inscription : 16-09-2011

[RESOLU]Erreur de script apt-listbugs apt

Bonjour la communauté.

Je fais toujours ma mise à jour en root par un  apt update suivie d'un  upgrade.
D'habitude je ne rencontre jamais de problème avec cette procédure.

Mais là j'ai le message d'erreur suivant :


.........................
Réception de:17 http://ftp.fr.debian.org/debian testing/main amd64 xbrlapi amd64 5.6-2 [135 kB]                                                        
11,5 Mo réceptionnés en 10s (1 159 ko/s)                                                                                                                
Récupération des rapports de bogue… Fait
Analyse des informations Trouvé/Corrigé… Fait
bogues de gravité serious sur python3.6 (3.6.4-3 → 3.6.4-4) <En attente de traitement>
 b1 - #890754 - python3.6 3.6.4-4 makes typecatcher FTBFS
bogues de gravité serious sur valac (0.36.8-1 → 0.38.7-1) <Résolus dans une version donnée>
/usr/lib/ruby/vendor_ruby/aptlistbugs/logic.rb:701:in `block (4 levels) in display_bugs': incompatible character encodings: ASCII-8BIT and UTF-8 (Encoding::CompatibilityError)
  from /usr/lib/ruby/vendor_ruby/aptlistbugs/debian/bug.rb:68:in `block in each_by_category'
  from /usr/lib/ruby/vendor_ruby/aptlistbugs/debian/bug.rb:67:in `each'
  from /usr/lib/ruby/vendor_ruby/aptlistbugs/debian/bug.rb:67:in `each_by_category'
  from /usr/lib/ruby/vendor_ruby/aptlistbugs/logic.rb:680:in `block (3 levels) in display_bugs'
  from /usr/lib/ruby/vendor_ruby/aptlistbugs/logic.rb:676:in `each'
  from /usr/lib/ruby/vendor_ruby/aptlistbugs/logic.rb:676:in `block (2 levels) in display_bugs'
  from /usr/lib/ruby/vendor_ruby/aptlistbugs/logic.rb:675:in `each'
  from /usr/lib/ruby/vendor_ruby/aptlistbugs/logic.rb:675:in `block in display_bugs'
  from /usr/lib/ruby/vendor_ruby/aptlistbugs/logic.rb:674:in `each'
  from /usr/lib/ruby/vendor_ruby/aptlistbugs/logic.rb:674:in `display_bugs'
  from /usr/lib/ruby/vendor_ruby/aptlistbugs/logic.rb:402:in `view'
  from /usr/sbin/apt-listbugs:618:in `<main>'
E: Le sous-processus /usr/sbin/apt-listbugs apt a renvoyé un code d'erreur (1)
E: Failure running script /usr/sbin/apt-listbugs apt
root@990FX8350:/home/andre#



Que faut-il en penser ?

Merci d'avance.

Dernière modification par taureau89_9 (19-02-2018 10:14:29)


CM Asus Sabertooth 990FX, Proc FX 8350, 4 x 8Go DDR3 1866Mhz, GTX 750ti 2Go, DD 2 To Sata 3

Hors ligne

#2 18-02-2018 22:42:47

enicar
Membre
Lieu : ailleurs
Distrib. : sid
Noyau : Linux 5.13.10
(G)UI : openbox
Inscription : 26-08-2010

Re : [RESOLU]Erreur de script apt-listbugs apt

Qu'il y a peut-être un bug dans script de apt-listbugs. Il faudrait retrouver sa dernière mise à jour.
Pour l'instant tu peux passer les paquet valac et python3.6 en mode « hold » :


apt-mark hold valac python3.6
 


Puis supprimer temporairement apt-listbugs, pour reprendre ta mise à jour. En tous cas, c'est ce que j'essaierai
de faire à ta place, après à toi de voir (et oui testing, ce n'est pas une histoire toujours facile…).

Hors ligne

#3 19-02-2018 08:54:00

enicar
Membre
Lieu : ailleurs
Distrib. : sid
Noyau : Linux 5.13.10
(G)UI : openbox
Inscription : 26-08-2010

Re : [RESOLU]Erreur de script apt-listbugs apt

taureau89_9 a écrit :


/usr/lib/ruby/vendor_ruby/aptlistbugs/logic.rb:701:in `block (4 levels) in display_bugs': incompatible character encodings: ASCII-8BIT and UTF-8 (Encoding::CompatibilityError)
  from /usr/lib/ruby/vendor_ruby/aptlistbugs/debian/bug.rb:68:in `block in each_by_category'


Cette erreur indique que ruby a trouvé des caractères non utf8 dans une chaîne de rapport de bugs. Donc ce serait
plus un bug dans l'un des rapports de bugs, il me semble (mais à vérifier).

Hors ligne

#4 19-02-2018 10:13:53

taureau89_9
Adhérent(e)
Lieu : A proximité de LFLA
Distrib. : Debian Testing
Noyau : Linux 5.9.0-1-amd64
(G)UI : Xfce4 4.14
Inscription : 16-09-2011

Re : [RESOLU]Erreur de script apt-listbugs apt

enicar a écrit :

Donc ce serait plus un bug dans l'un des rapports de bugs.


Merci déjà enicar pour tes conseils.

Effectivement c'est probable, c'est un peu ce que je m'étais dis en lisant ce message concernant ce problème de caractères.

Et d'autant plus possible que :

- apt-listbugs désinstallé, la mise à jour passe
- apt-listgugs réinstallé, une petite mies à jour de ce matin passe sans message d'erreur.

Je vais considérer le problème comme résolu.

Dernière modification par taureau89_9 (19-02-2018 10:14:54)


CM Asus Sabertooth 990FX, Proc FX 8350, 4 x 8Go DDR3 1866Mhz, GTX 750ti 2Go, DD 2 To Sata 3

Hors ligne

Pied de page des forums